using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace TP10_Fonctions
{
    public partial class Form2 : Form
    {
        public Form2()
        {
            InitializeComponent();
        }

        double calculerprixreduit(double prixinit, double tauxreduc)
        {
            double resultat;
            
            
            
            //prixinit=Convert.ToInt32(txtprixinitial.Text);
            //tauxreduc=Convert.ToInt32(txttauxreduc.Text);
            
            resultat = prixinit - (prixinit * tauxreduc / 100);

            return (resultat);

        //    ...
        }

        double calculerprixaugmente(double prixinit, double tauxtva)
        {
            double resultat;
            resultat = prixinit + montant_tva;

          
        }
        
        private void btn1_Click(object sender, EventArgs e)
        {
          double prixinitial, prixfinal;
            prixinitial = Convert.ToInt32(txtprixinitial.Text);
            prixfinal = calculerprixreduit(prixinitial,10);
            lblprixfinal.Text=Convert.ToString(prixfinal);


        }

        private void btn2_Click(object sender, EventArgs e)
        {
            double prixinitial, prixfinal;
            prixinitial = Convert.ToInt32(txtprixinitial.Text);
            prixfinal = calculerprixreduit(prixinitial, 30);
            lblprixfinal.Text = Convert.ToString(prixfinal);

        }

        private void btn3_Click(object sender, EventArgs e)
        {
            double prixinitial, prixfinal;
            prixinitial = Convert.ToInt32(txtprixinitial.Text);
            prixfinal = calculerprixreduit(prixinitial, 50);
            lblprixfinal.Text = Convert.ToString(prixfinal);

        }

        private void btn4_Click(object sender, EventArgs e)
        {
            //double prixinitial, prixfinal, taux;

        }

        private void btn5_Click(object sender, EventArgs e)
        {
            double prixinitial, prixfinal;
            prixinitial = Convert.ToInt32(txtprixinitial.Text);
            prixfinal = calculerprixreduit(prixinitial, 5.5);
            lblprixfinal.Text = Convert.ToString(prixfinal);

        }

        private void btn6_Click(object sender, EventArgs e)
        {
            //double prixinitial, prixfinal;

        }

        private void btn7_Click(object sender, EventArgs e)
        {
            //double prixinitial, prixfinal;

        }

        private void btn8_Click(object sender, EventArgs e)
        {
            //double prixinitial, prixfinal, taux;

        }

    }
}
